activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jonathan Anstey (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMQ-4702) Error resolving org.jvnet.jaxb2_commons packages
Date Thu, 29 Aug 2013 18:46:51 GMT

    [ https://issues.apache.org/jira/browse/AMQ-4702?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13753931#comment-13753931
] 

Jonathan Anstey commented on AMQ-4702:
--------------------------------------

See the SVN is locked down down. Will commit after move to git :-)

[janstey@bender activemq-karaf]$ git show 340106ac0ac138b434d26e3417dc8897ccbff04b
commit 340106ac0ac138b434d26e3417dc8897ccbff04b
Author: Jonathan Anstey <janstey@gmail.com>
Date:   Thu Aug 29 16:12:45 2013 -0230

    AMQ-4702 - Error resolving org.jvnet.jaxb2_commons packages

diff --git a/activemq-karaf/src/main/resources/features.xml b/activemq-karaf/src/main/resources/features.xml
index 560011f..0d52028 100644
--- a/activemq-karaf/src/main/resources/features.xml
+++ b/activemq-karaf/src/main/resources/features.xml
@@ -27,6 +27,7 @@
         <bundle dependency="true">mvn:org.apache.geronimo.specs/geronimo-jta_1.1_spec/1.1.1</bundle>
         <bundle dependency="true">mvn:org.apache.geronimo.specs/geronimo-jms_1.1_spec/1.1.1</bundle>
         <bundle dependency="true">mvn:org.apache.geronimo.specs/geronimo-j2ee-management_1.1_spec/1.0.1</bundle>
+        <bundle dependency="true">mvn:org.jvnet.jaxb2_commons/jaxb2-basics-runtime/${jaxb-basics-version}</bundle>
         <bundle dependency="false">mvn:commons-pool/commons-pool/${commons-pool-version}</bundle>
         <bundle dependency="false">mvn:commons-net/commons-net/${commons-net-version}</bundle>
         <bundle dependency='true'>mvn:org.apache.zookeeper/zookeeper/${zookeeper-version}</bundle>

                
> Error resolving org.jvnet.jaxb2_commons packages
> ------------------------------------------------
>
>                 Key: AMQ-4702
>                 URL: https://issues.apache.org/jira/browse/AMQ-4702
>             Project: ActiveMQ
>          Issue Type: Bug
>            Reporter: Jonathan Anstey
>            Assignee: Jonathan Anstey
>
> Getting the following on trunk when trying to install activemq-osgi:
> Error when installing feature activemq: java.lang.Exception: Can not resolve feature:
> Unsatisfied requirement(s):
> ---------------------------
> package&(package=org.jvnet.jaxb2_commons.lang)(version>=0.6.0)(!(version>=1.0.0)))
> activemq-osgi
> package&(package=org.jvnet.jaxb2_commons.locator)(version>=0.6.0)(!(version>=1.0.0)))
> activemq-osgi
> package&(package=org.jvnet.jaxb2_commons.locator.util)(version>=0.6.0)(!(version>=1.0.0)))
> activemq-osgi

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message